<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white_color"
    tools:context="com.usai.redant.raimage.POP.PopActivity">

    <ImageView
        android:id="@+id/photo_iv"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginEnd="24dp"
        android:layout_marginLeft="24dp"
        android:layout_marginRight="24dp"
        android:layout_marginStart="24dp"
        android:layout_marginTop="32dp"
        android:background="@drawable/black_border"
        android:padding="0.1dp"
        android:scaleType="centerCrop"
        app:layout_constraintDimensionRatio="w,1:1"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/no_pic" />

    <TextView
        android:id="@+id/photo_count_lb"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:ems="10"
        android:gravity="center_horizontal|bottom"
        android:inputType="textPersonName"
        android:text="No Photos"
        android:textColor="@color/blue"
        android:textSize="12sp"
        tools:layout_constraintRight_creator="1"
        tools:layout_constraintBottom_creator="1"
        app:layout_constraintBottom_toBottomOf="@+id/photo_iv"
        app:layout_constraintRight_toRightOf="@+id/photo_iv"
        tools:layout_constraintLeft_creator="1"
        android:layout_marginBottom="1dp"
        app:layout_constraintLeft_toLeftOf="@+id/photo_iv" />

    <TextView
        android:id="@+id/barcode_tv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="0dp"
        android:layout_marginTop="48dp"
        android:text="PIID:"
        android:textAllCaps="false"
        android:textSize="17sp"
        app:layout_constraintLeft_toLeftOf="@+id/photo_iv"
        app:layout_constraintTop_toBottomOf="@+id/photo_count_lb" />

    <EditText
        android:id="@+id/barcode_et"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginBottom="0dp"
        android:layout_marginEnd="8dp"
        android:layout_marginLeft="8dp"
        android:layout_marginRight="8dp"
        android:layout_marginTop="0dp"
        android:background="@null"
        android:editable="false"
        android:gravity="center_vertical"
        android:textSize="17sp"
        app:layout_constraintBottom_toBottomOf="@+id/barcode_tv"
        app:layout_constraintHorizontal_bias="0.636"
        app:layout_constraintLeft_toRightOf="@+id/barcode_tv"
        app:layout_constraintRight_toLeftOf="@+id/btn_type"
        app:layout_constraintTop_toTopOf="@+id/barcode_tv"
        app:layout_constraintVertical_bias="0.0"
        tools:layout_constraintBottom_creator="1"
        tools:layout_constraintLeft_creator="1" />

    <ImageButton
        android:id="@+id/scan_btn"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="32dp"
        android:layout_marginLeft="48dp"
        android:layout_marginStart="45dp"
        android:background="@color/clear_color"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:srcCompat="@drawable/ic_action_scan"
        tools:layout_constraintBottom_creator="1"
        tools:layout_constraintLeft_creator="1" />

    <ImageButton
        android:id="@+id/camera_btn"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:srcCompat="@drawable/ic_action_camera"
        android:background="@color/clear_color"
        tools:layout_constraintRight_creator="1"
        tools:layout_constraintBottom_creator="1"
        app:layout_constraintBottom_toBottomOf="parent"
        tools:layout_constraintLeft_creator="1"
        android:layout_marginBottom="32dp"
        app:layout_constraintRight_toLeftOf="@+id/upload_btn"
        app:layout_constraintHorizontal_bias="0.504"
        android:layout_marginRight="8dp"
        app:layout_constraintLeft_toRightOf="@+id/scan_btn"
        android:layout_marginLeft="8dp" />

    <ImageButton
        android:id="@+id/upload_btn"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="@color/clear_color"
        app:srcCompat="@drawable/ic_action_upload"
        tools:layout_constraintRight_creator="1"
        tools:layout_constraintBottom_creator="1"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_marginEnd="46dp"
        app:layout_constraintRight_toRightOf="parent"
        android:layout_marginBottom="32dp"
        android:layout_marginRight="48dp" />

    <Button
        android:id="@+id/btn_type"
        style="@style/ShareButton"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="0dp"
        android:layout_marginRight="0dp"
        android:layout_marginTop="0dp"
        android:background="@color/clear_color"
        android:text="Type"
        android:textAlignment="viewEnd"
        android:textColor="@color/blue"
        app:layout_constraintBottom_toBottomOf="@+id/barcode_tv"
        app:layout_constraintRight_toRightOf="@+id/photo_iv"
        app:layout_constraintTop_toTopOf="@+id/barcode_tv"
        app:layout_constraintVertical_bias="0.583" />


</android.support.constraint.ConstraintLayout>
